Package org.eclipse.wst.xsl.ui.internal.style

## org.eclipse.wst.xsl.ui.internal.style
Class AbstractXSLSemanticHighlighting

    public class AbstractXSLSemanticHighlighting
    extends java.lang.Object

## Constructor Summary

`AbstractXSLSemanticHighlighting()`

## Method Summary

`public Position[]` | `consumes(IStructuredDocumentRegion region)`
`public Position[]` | `consumes(IStructuredDocumentRegion documentRegion , IndexedRegion indexedRegion)`
`protected java.util.List` | `createSemanticPositions(IStructuredDocumentRegion region , java.lang.String regionType)`
`public java.lang.String` | `getBoldPreferenceKey()`
`public java.lang.String` | `getColorPreferenceKey()`
`public java.lang.String` | `getDisplayName()`
`public java.lang.String` | `getEnabledPreferenceKey()`
`public java.lang.String` | `getItalicPreferenceKey()`
`public IPreferenceStore` | `getPreferenceStore()`
`public java.lang.String` | `getStrikethroughPreferenceKey()`
`public java.lang.String` | `getStylePreferenceKey()`
`public java.lang.String` | `getUnderlinePreferenceKey()`

## Constructor Detail

## AbstractXSLSemanticHighlighting

`public AbstractXSLSemanticHighlighting()`

## Methods Detail

## consumes

`public Position[] consumes(IStructuredDocumentRegion region)`

### Parameters

`region`

### Returns

`Position[]`

## consumes

`public Position[] consumes(IStructuredDocumentRegion documentRegion , IndexedRegion indexedRegion)`

### Parameters

`documentRegion`

`indexedRegion`

### Returns

`Position[]`

## createSemanticPositions

`protected java.util.List createSemanticPositions(IStructuredDocumentRegion region , java.lang.String regionType)`

### Parameters

`region`

`regionType`

### Returns

`java.util.List`

## getBoldPreferenceKey

`public java.lang.String getBoldPreferenceKey()`

### Returns

`java.lang.String`

## getColorPreferenceKey

`public java.lang.String getColorPreferenceKey()`

### Returns

`java.lang.String`

## getDisplayName

`public java.lang.String getDisplayName()`

### Returns

`java.lang.String`

## getEnabledPreferenceKey

`public java.lang.String getEnabledPreferenceKey()`

### Returns

`java.lang.String`

## getItalicPreferenceKey

`public java.lang.String getItalicPreferenceKey()`

### Returns

`java.lang.String`

## getPreferenceStore

`public IPreferenceStore getPreferenceStore()`

### Returns

`IPreferenceStore`

## getStrikethroughPreferenceKey

`public java.lang.String getStrikethroughPreferenceKey()`

### Returns

`java.lang.String`

## getStylePreferenceKey

`public java.lang.String getStylePreferenceKey()`

### Returns

`java.lang.String`

## getUnderlinePreferenceKey

`public java.lang.String getUnderlinePreferenceKey()`

### Returns

`java.lang.String`